Regression: block staircase display with side-by-side monitors of different pixel widths

Bug #1873895 reported by TJ on 2020-04-20
120
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Xfwm4
Unknown
Unknown
xf86-video-amd
Unknown
Unknown
xfwm4 (Ubuntu)
High
Unassigned
Focal
High
Sean Davis
Groovy
High
Unassigned
xserver-xorg-video-amdgpu (Ubuntu)
High
Unassigned
Focal
High
Unassigned
Groovy
High
Unassigned

Bug Description

[Impact]

 * This issue affects AMD graphics on Xfwm4 4.14.1.

 * Windows are displayed staggered with a multi-window layout

[Test Plan]

 * Use AMD graphics drivers

 * Connect a second display at a different resolution

 * Open multiple windows

 * While the issue is present, the windows and desktop will appeared staggered

 * Once fixed, they display normally.

[Where problems could occur]

 * Regression potential should be relatively low, as the release between 4.14.1 and 4.14.5 are bug releases.

 * With window managers, some changes could lead to different behavior and other broken displays. Non-AMD graphics users should also test for regressions.

[Other Info]

 * Please see the Xfwm4 release notes for changes between 4.14.1 and 4.14.5: https://gitlab.xfce.org/xfce/xfwm4/-/blob/xfce-4.14/NEWS#L7-44

[Original Report]

Update based on further research.

This only happens when the secondary external display is operating at a different pixel width to the internal. In this case eDP is 1920x1080 whereas the external HDMI-A-0 is natively 1680x1050.

It is caused by xfwm4's recent switch from using glx to xpresent for AMD GPUs.

The underlying bug is in the AMD driver.

I was able to reproduce on an external 1920x1200 display only when it was set to a non-native 1680x1050 resolution.

---
Two identical Lenovo E495 laptops with 20.04 installed. The problem occurred initially on the laptop that is having package upgrades applied regularly.

With dual monitors and the external monitor placed left or right the display has a blocked staircase effect shown in the attached photograph, and seems related to

https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/issues/10

More detailed investigation suggests it only happens when the X coordinate of the two monitors is different. The symptom looks like an off-by-one error because it appears as if the display is divided into, say, 10 rows and 15 columns but the first row has 16 'columns' worth of blocks on it and so wraps to the beginning of the 2nd row, and so on.

On the laptop without package upgrades being applied this didn't happen. So I upgraded it (314 packages) and restarted and it too sees the same problem.

I suspected libxcomposite1 and downgraded it to 1:0.4.5-0ubuntu1 but that didn't solve it.

I now suspect libxcb but so far haven't been able to prove it.
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: XFCE
DistUpgraded: Fresh install
DistroCodename: focal
DistroRelease: Ubuntu 20.04
DistroVariant: ubuntu
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Picasso [1002:15d8] (rev c1) (prog-if 00 [VGA controller])
   Subsystem: Lenovo ThinkPad E595 [17aa:5124]
InstallationDate: Installed on 2020-04-08 (11 days ago)
InstallationMedia: Xubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200408)
MachineType: LENOVO 20NECTO1WW
Package: xserver-xorg-video-amdgpu 19.1.0-1
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.4.0-21-generic root=/dev/mapper/ELLOE000-rootfs ro acpi_osi=! "acpi_osi=Windows 2016" quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
Tags: focal ubuntu ubuntu
Uname: Linux 5.4.0-21-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip libvirt lp lpadmin lxd plugdev sambashare sudo users
_MarkForUpload: True
dmi.bios.date: 12/23/2019
dmi.bios.vendor: LENOVO
dmi.bios.version: R11ET32W (1.12 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20NECTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrR11ET32W(1.12):bd12/23/2019:svnLENOVO:pn20NECTO1WW:pvrThinkPadE495:rvnLENOVO:rn20NECTO1WW:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad E495
dmi.product.name: 20NECTO1WW
dmi.product.sku: LENOVO_MT_20NE_BU_Think_FM_ThinkPad E495
dmi.product.version: ThinkPad E495
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.4-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

TJ (tj) wrote :
TJ (tj) wrote :

The packages upgraded on the second laptop that are libx related are:

$ grep 'Upgrade: hunspell' /var/log/apt/history.log | grep -o 'libx[^ ]*'
libxml2-utils:amd64
libxml2:amd64
libxatracker2:amd64
libxcomposite1:amd64
libxcomposite1:i386
libxml2-dev:amd64
libxfixes3:amd64
libxfixes3:i386
libxdamage1:amd64
libxdamage1:i386
libxml2:amd64
libxml2:i386
libxres1:amd64

TJ (tj) wrote :

I'm attaching the complete list of packages upgraded on the second laptop that triggered this bug.

The total list is over 300 packages. I've prefixed the unlikely package with #. That leaves 77 possibles all related to X server or display drivers.

TJ (tj) wrote :

These are the packages I've tested via a downgrade:

$ apt list --upgradeable
Listing... Done
libxcomposite1/focal 1:0.4.5-1 amd64 [upgradable from: 1:0.4.5-0ubuntu1]
libxcomposite1/focal 1:0.4.5-1 i386 [upgradable from: 1:0.4.5-0ubuntu1]
libxdamage1/focal 1:1.1.5-2 amd64 [upgradable from: 1:1.1.5-1]
libxdamage1/focal 1:1.1.5-2 i386 [upgradable from: 1:1.1.5-1]
libxfixes3/focal 1:5.0.3-2 amd64 [upgradable from: 1:5.0.3-1]
libxfixes3/focal 1:5.0.3-2 i386 [upgradable from: 1:5.0.3-1]
linux-generic/focal 5.4.0.25.31 amd64 [upgradable from: 5.4.0.21.25]
linux-headers-generic/focal 5.4.0.25.31 amd64 [upgradable from: 5.4.0.21.25]
linux-image-generic/focal 5.4.0.25.31 amd64 [upgradable from: 5.4.0.21.25]
netplan.io/focal 0.99-0ubuntu1 amd64 [upgradable from: 0.98-0ubuntu4]

Timo Aaltonen (tjaalton) wrote :

as you can see we already had the upstream versions of those libs, so they didn't break it

TJ (tj) wrote : CurrentDmesg.txt

apport information

tags: added: apport-collected focal ubuntu
description: updated
TJ (tj) wrote : Dependencies.txt

apport information

TJ (tj) wrote : DpkgLog.txt

apport information

TJ (tj) wrote : LightdmDisplayLog.txt

apport information

TJ (tj) wrote : LightdmLog.txt

apport information

TJ (tj) wrote : Lspci.txt

apport information

TJ (tj) wrote : Lspci-vt.txt

apport information

TJ (tj) wrote : Lsusb.txt

apport information

TJ (tj) wrote : Lsusb-t.txt

apport information

TJ (tj) wrote : Lsusb-v.txt

apport information

TJ (tj) wrote : ProcCpuinfo.txt

apport information

apport information

TJ (tj) wrote : ProcEnviron.txt

apport information

TJ (tj) wrote : ProcInterrupts.txt

apport information

TJ (tj) wrote : ProcModules.txt

apport information

TJ (tj) wrote : UdevDb.txt

apport information

TJ (tj) wrote : XorgLog.txt

apport information

TJ (tj) wrote : XorgLogOld.txt

apport information

TJ (tj) wrote : Xrandr.txt

apport information

TJ (tj) wrote : xdpyinfo.txt

apport information

Timo: yes, sorry, I think I got a bit confused about packages due to lack of sleep. I've reported this against xserver-xorg-video-amdgpu for now although looking at the apt history it wasn't updated.

I'm not too familiar with the Xorg internals so any pointers on potential culprits would be welcome to narrow this down.

We have 6 of these Lenovo E495 laptops all seeing the same issue.

Originally I suspect the kernel since the first affected PC was on -25 whilst the 2nd was on -21 but booted with -21 and still affected. That was when we started looking at what packages had upgraded on the 1st PC and, later, when we realised 2nd PC was unaffected did a package upgrade on that (the 300+) and it was then affected.

Must be something in one of those packages.

TJ (tj) wrote :

Reproducing this:

$ xrandr -d :0.0 --output HDMI-A-0 --left-of eDP
$ xrandr -d :0.0 --output HDMI-A-0 --right-of eDP

No problem with:

$ xrandr -d :0.0 --output HDMI-A-0 --above eDP
$ xrandr -d :0.0 --output HDMI-A-0 --below eDP

The affected and unaffected laptops each have identical kernel log entries about IRQ 7 and SADs count so I don't think those are related to this.

TJ (tj) wrote :

With the help and suggestions of Bluesabre on #xubuntu-devel we've tracked it down to a recent change in xfwm4 where it switched from using glx to xpresent:

https://git.xfce.org/xfce/xfwm4/commit/?id=23900123ad8418149897a094d1096d6ecb984d3c

which seems to be a bug in the driver as mentioned orginally:

https://bugzilla.xfce.org/show_bug.cgi?id=16716

=>

https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/issues/10

It is also SPECIFIC to the resolution selected on the external HDMI display.

In our case the Lenovo E495 has eDP 1920x1080 and external HDMI are 168x1050 and are affected.

I tried with another external HDMI that is natively 1920x1200 and couldn't reproduce UNTIL I set it to use 1680x1050 instead of its preferred resolution, at which point the blocked staircase returned.

As I said above it feels like an off-by-one bug on the assumption rendering the display is split into regions (columns) and it is rendering 1920 pixels to a 1680 wide output with the pixels 1680-1919 wrapping to the next 'row'.

TJ (tj) wrote :

Urgh, should have written "With the help and suggestions of 'brainwash' and 'bluesabre' on #xubuntu-devel..."

summary: - Regression: block staircase display with side-by-side monitors
+ Regression: block staircase display with side-by-side monitors of
+ different pixel widths
description: updated
TJ (tj) wrote :

I've worked with upstream AMD and we've fixed the problem in in xf86-video-amdgpu. As soon as that is available in the upstream repository I'll prepare a cherry-pick update to 20.04.

I suspect we also need to consider an SRU patch to 18.04 ?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libxcb (Ubuntu):
status: New → Confirmed
Changed in xfwm4 (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Confirmed
Jim Carpenter (jim02762) wrote :

Just tried upgrading my Xubuntu 19.10 desktop to 20.04 and I'm now getting the same staircase effect. Video card is an AMD Radeon RX 5700 XT which is connected with a DisplayPort -> DVI-D cable to an ancient LG W2252TQ monitor with a resolution of, yes, 1680x1050. It is the only monitor connected.

Just thought I'd share. Rolling back to 19.10 now. I'll try again with the point release.

bjo (bjo81) wrote :

You can simply switch back to glx:

xfconf-query -c xfwm4 -p /general/vblank_mode -t string -s "glx" --create

until the issue is fixed in the driver. Then you can set it back to "auto".
No need to roll back.

I have similar problem with xubuntu & ubuntu studio (fresh install or upgrade) ,
it happen only with some resolutions & without screen rotation.
 i "solved" it increasing framebuffer in at least 1 pixel,

eg: xrandr --fb 1441x900 --output DisplayPort-0 --mode 1440x900 --panning 1440x0

try?

Mattia (io-mattia98) wrote :

Same problem on UbuntuMATE with single monitor connected via DP at a resolution of 3440x1440 (Vega 64).
Workaround is to disable the compositor but that breaks applications like Zoom.
When will this be backported to focal?

Adolfo Jayme (fitojb) on 2020-08-03
Changed in libxcb (Ubuntu):
importance: Undecided → High
Changed in xfwm4 (Ubuntu):
importance: Undecided → High
Changed in xserver-xorg-video-amdgpu (Ubuntu):
importance: Undecided → High
Philippe (philippe734) wrote :

Same issue on Ubuntu Mate 20.04 with Radeon RX 5600 XT with stock driver and also with driver version 20.30 (from AMD).
Affected :
- single DP>VGA monitor
- single HDMI>HDMI TV
- dual screens DP>VGA monitor with HDMI>HDMI TV

Another workaround : no issue if set to marco with GPU compositor compton:
`marco-compton`
If upgraded from 18.04 to 20.04 compton is still installed.

Philippe (philippe734) wrote :

With kernel 5.8.7, same issue with same context/system.

ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.8
Architecture: amd64
BootLog: Error: [Errno 13] Permission non accordée: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: MATE
CurrentDmesg: Error: command ['dmesg'] failed with exit code 1: dmesg: read kernel buffer failed: Operation not permitted
DistUpgraded: Fresh install
DistroCodename: focal
DistroRelease: Ubuntu 20.04
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 6.1.10, 5.4.0-45-generic, x86_64: installed
 virtualbox, 6.1.10, 5.4.0-47-generic, x86_64: installed
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Navi 10 [Radeon RX 5600 OEM/5600 XT / 5700/5700 XT] [1002:731f] (rev ca) (prog-if 00 [VGA controller])
   Subsystem: Gigabyte Technology Co., Ltd Navi 10 [Radeon RX 5600 OEM/5600 XT / 5700/5700 XT] [1458:231d]
InstallationDate: Installed on 2018-04-27 (866 days ago)
InstallationMedia: Ubuntu-MATE 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
MachineType: MSI MS-7798
Package: xserver-xorg-video-amdgpu 19.1.0-1
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.8.7-050807-generic root=UUID=ee2f4425-cb03-4ffe-a80f-3cfb5ef81775 ro quiet splash amdgpu.ppfeaturemask=0xffffffff vt.handoff=7
Tags: focal ubuntu third-party-packages ubuntu
Uname: Linux 5.8.7-050807-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo vboxusers
_MarkForUpload: True
dmi.bios.date: 09/30/2013
dmi.bios.release: 4.6
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V1.9
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: B75MA-P45 (MS-7798)
dmi.board.vendor: MSI
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MSI
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV1.9:bd09/30/2013:br4.6:svnMSI:pnMS-7798:pvr1.0:rvnMSI:rnB75MA-P45(MS-7798):rvr1.0:cvnMSI:ct3:cvr1.0:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: MS-7798
dmi.product.sku: To be filled by O.E.M.
dmi.product.version: 1.0
dmi.sys.vendor: MSI
modified.conffile..etc.default.apport:
 # set this to 0 to disable apport, or to 1 to enable it
 # you can temporarily override this with
 # sudo service apport start force_start=1
 enabled=0
mtime.conffile..etc.default.apport: 2018-04-27T15:10:20.559169
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.102+git2009040630.77687f~oibaf~f
version.libgl1-mesa-dri: libgl1-mesa-dri 20.3~git2009090730.cf2eeb~oibaf~f
version.libgl1-mesa-glx: libgl1-mesa-glx 20.3~git2009090730.cf2eeb~oibaf~f
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

tags: added: third-party-packages

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Philippe (philippe734) wrote :

There is no this issue when using metacity.
   sudo apt install metacity
   metacity --replace

bjo (bjo81) wrote :

@philippe734: No surprise as metacity is no compositing window manager. The issue is caused by enabling xpresent for xfwm4 and marco while amdgpu being buggy.
It's fixed upstream, with the current amdgpu from git this issue does not appear, so it must be backported into xserver-xorg-video-amdgpu.

cmcanulty (cmcanulty) wrote :

confirmed still issue on xubuntu 20.04.1 makes system unusable. It is dual boot and win 10 no issue.

Philippe (philippe734) wrote :

@bjo81 : I'm using AMD Radeon RX 5600 XT (NAVI10 DRM 3.38.0 5.8.9-050809-generic LLVM 10.0.1) v: 4.6 Mesa 20.3.0-devel (git-a3543ad 2020-09-26 focal-oibaf-ppa) and I still have issue. It's worst, no stairs but whole display broken. I will post a screencast video soon

Mauro Gaspari (ilvipero) wrote :

I tested both Xubuntu 20.04 and Ubuntu MATE 20.04 And I had the very same issue, however I have a single display, 3440x1440, using AMD RADEON VII GPU. Kubuntu 20.04 and Ubuntu Budgie 20.04 do not have this issue.

Originally I opened a separate bug but it was marked as duplicate. I wanted to confirm the same issue is still there. After testing 20.04.1, making both xubuntu and ubuntu MATE unusable unless compositor is disabled as suggested in this bug report: https://bugs.launchpad.net/ubuntu/+source/marco/+bug/1876480

Philippe (philippe734) wrote :

As promised, here attached my video screencast. What I did in the video : I execute the following command then immediately, I switch to marco adaptive compositor, in order to show you this issue. The commands begin with a sleep of 7s, then switch to compiz (installed on my system), then sleep 7s and finally reboot. I use this command because my system is half freeze while this issue is coming, without display, mouse and keyboard freeze too. As you can see, with the kernel 5,8 and the amdgpu driver mesa 20,3 this issue is worst ! Let me what I can do to help. I insist, I can do some tests for you, tell me what to do.
$ sleep 7s ; compiz --replace & sleep 7s ; reboot

Philippe (philippe734) wrote :

On my video, we can see:
start the commands > I switch to marco adaptive compositor in Mate tweaks > the whole system is broken, mouse and keyboard freeze > after 37s the system reboot > we can see my grub menu at the end (dual boot).

Nelson Castillo (nelsoneci) wrote :

Hi there. Got the no-compositing with Window Manager Tweaks solution working at the first try. AMD Radeon 535 with 2G. 20.04. Subscribing.

Philippe (philippe734) wrote :

Same issue with Ubuntu Mate HWE 20.04 with kernel 5.8 and latest AMD driver from oibaf PPA.

$ inxi -SMG
System: Host: ACER-xk2308 Kernel: 5.8.0-38-generic x86_64 bits: 64 Desktop: MATE 1.24.0
           Distro: Ubuntu 20.04.1 LTS (Focal Fossa)
Machine: Type: Desktop System: MSI product: MS-7798 v: 1.0 serial: <superuser/root required>
           Mobo: MSI model: B75MA-P45 (MS-7798) v: 1.0 serial: <superuser/root required> BIOS: American Megatrends v: 1.9
           date: 09/30/2013
Graphics: Device-1: Advanced Micro Devices [AMD/ATI] Navi 10 [Radeon RX 5600 OEM/5600 XT / 5700/5700 XT] driver: amdgpu
           v: kernel
           Display: x11 server: X.Org 1.20.9 driver: amdgpu,ati unloaded: fbdev,modesetting,radeon,vesa
           resolution: 1366x768~60Hz
           OpenGL: renderer: AMD Radeon RX 5600 XT (NAVI10 DRM 3.38.0 5.8.0-38-generic LLVM 11.0.1)
           v: 4.6 Mesa 21.1.0-devel (git-7b48d5d 2021-01-16 focal-oibaf-ppa)
$ hwe-support-status --verbose
Your Hardware Enablement Stack (HWE) is supported until avril 2025

Please, let me know what to do, for testing what you want.

johnny lee (johnnyl33-k) wrote :

It happened to me as well on my lenovo ideapad laptop when I upgraded from Xubuntu 19.10 to 20.04, and my 1366x768 resolution ended all garbled. Then, after a while googling for solutions (which there wew so few!), I came up with a weird but functional workaround: I opened the display window, selected the 1366x768 resolution, rotation: inverted and reflection: horizontal and vertical, then applied. Worked!

Philippe (philippe734) wrote :

You may find the following information useful. It looks like Ubuntu needs to add these fixes ...
https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/issues/10#note_769719

Bill (franksmcb) (franksmcb) wrote :
Download full text (6.6 KiB)

Some follow-up with users from the Ubuntu MATE Community forums show that this is occurring on Focal and Groovy; with 5.4, 5.8, and 5.10 kernels.

Following is a list of hardware and graphics information from affected users:

System:
  Host: huppyryzen Kernel: 5.4.0-54-generic x86_64 bits: 64
  Desktop: MATE 1.24.0 Distro: Ubuntu 20.04.1 LTS (Focal Fossa)
Machine:
  Type: Desktop Mobo: ASUSTeK model: PRIME B350-PLUS v: Rev X.0x
  serial: <superuser/root required> UEFI: American Megatrends v: 5602
  date: 07/14/2020
Graphics:
  Device-1: AMD Vega 10 XL/XT [Radeon RX Vega 56/64] driver: amdgpu
  v: kernel
  Display: x11 server: X.Org 1.20.8 driver: amdgpu,ati
  unloaded: fbdev,modesetting,vesa resolution: 3440x1440~60Hz
  OpenGL:
  renderer: Radeon RX Vega (VEGA10 DRM 3.35.0 5.4.0-54-generic LLVM 11.0.0)
  v: 4.6 Mesa 20.3.0-rc2

System:
  Host: marptop Kernel: 5.4.0-54-generic x86_64 bits: 64
  Desktop: MATE 1.24.0 Distro: Ubuntu 20.04.1 LTS (Focal Fossa)
Machine:
  Type: Laptop System: HP product: HP Laptop 17-ca0xxx v: N/A
  serial: <superuser/root required>
  Mobo: HP model: 84D2 v: 91.17 serial: <superuser/root required> UEFI: AMI
  v: F.21 date: 11/15/2018
Graphics:
  Device-1: AMD Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]
  driver: amdgpu v: kernel
  Display: x11 server: X.Org 1.20.8 driver: amdgpu,ati
  unloaded: fbdev,modesetting,vesa resolution: 1600x900~60Hz
  OpenGL: renderer: AMD RAVEN (DRM 3.35.0 5.4.0-54-generic LLVM 10.0.0)
  v: 4.6 Mesa 20.0.8

System:
    Host: duck-laptop2 Kernel: 5.8.0-29-generic x86_64 bits: 64 Desktop: MATE 1.24.1
    Distro: Ubuntu 20.10 (Groovy Gorilla)
Machine:
    Type: Laptop System: HP product: HP Laptop 15-db0xxx v: Type1ProductConfigId serial: <superuser/root required>
    Mobo: HP model: 84AE v: 86.20 serial: <superuser/root required> UEFI: Insyde v: F.10 date: 05/31/2018
Graphics:
    Device-1: AMD Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] driver: amdgpu v: kernel
    Device-2: Lite-On 1351 type: USB driver: uvcvideo
    Display: x11 server: X.Org 1.20.9 driver: amdgpu,ati unloaded: fbdev,modesetting,vesa resolution: 1920x1080~60Hz
    OpenGL: renderer: AMD RAVEN (DRM 3.38.0 5.8.0-29-generic LLVM 11.0.0) v: 4.6 Mesa 20.2.1

System:
    Host: jgjmate-ThinkPad-E595 Kernel: 5.8.0-32-generic x86_64 bits: 64
    Desktop: MATE 1.24.1 Distro: Ubuntu 20.10 (Groovy Gorilla)
Machine:
    Type: Laptop System: LENOVO product: 20NF0012US v: ThinkPad E595
    serial: <superuser/root required>
    Mobo: LENOVO model: 20NF0012US serial: <superuser/root required>
    UEFI: LENOVO v: R11ET39W (1.19 ) date: 09/11/2020
Graphics:
    Device-1: AMD Picasso driver: amdgpu v: kernel
    Device-2: Acer SunplusIT Integrated Camera type: USB driver: uvcvideo
    Display: x11 server: X.Org 1.20.9 driver: amdgpu,ati
    unloaded: fbdev,modesetting,vesa resolution: 1920x1080~60Hz
    OpenGL: renderer: AMD RAVEN (DRM 3.38.0 5.8.0-32-generic LLVM 11.0.0)
    v: 4.6 Mesa 20.2.1

System:
    Host: XXXXXXXX Kernel: 5.4.0-58-generic x86_64 bits: 64
    Desktop: MATE 1.24.0 Distro: Ubuntu 20.04.1 LTS (Focal Fossa)
Machine:
    Type: Laptop System: HP product...

Read more...

Nix (nix-sasl) wrote :

What happen with this bug that is not assigned and is fixed in upstream but no in distro?

Michel Dänzer
Michel Dänzer @daenzer · 3 weeks ago
Maintainer
It is, but nobody's making upstream releases, which is probably why users are still hitting this issue, even though the fix landed upstream 9 months ago.

https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/issues/10#note_769719

Sean Davis (bluesabre) wrote :

Fixed in Xfwm4 4.14.2

Changed in xfwm4 (Ubuntu Groovy):
status: New → Fix Released
Sean Davis (bluesabre) on 2021-04-06
description: updated
Sean Davis (bluesabre) on 2021-04-06
Changed in xfwm4 (Ubuntu Focal):
status: New → Confirmed
Sean Davis (bluesabre) wrote :

Attaching debdiff for xfwm4_4.14.5-1ubuntu0.20.04.1, also uploaded to the Xubuntu SRU Staging PPA:

https://launchpad.net/~xubuntu-dev/+archive/ubuntu/sru-staging

Sean Davis (bluesabre) on 2021-04-06
Changed in xfwm4 (Ubuntu Focal):
assignee: nobody → Sean Davis (bluesabre)
status: Confirmed → In Progress
Iain Lane (laney) wrote :

This came up on our tracking report for the desktop team, but we're not clear what is required in libxcb/amdgpu vs. a fix in the WMs themselves. Can someone clarify please?

Changed in libxcb (Ubuntu):
status: Confirmed → Incomplete
Changed in libxcb (Ubuntu Focal):
status: New → Incomplete
Changed in libxcb (Ubuntu Groovy):
status: New → Incomplete
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: Confirmed → Incomplete
Changed in xserver-xorg-video-amdgpu (Ubuntu Focal):
status: New → Incomplete
Changed in xserver-xorg-video-amdgpu (Ubuntu Groovy):
status: New → Incomplete
Sean Davis (bluesabre) wrote :

The problem exists with the AMD graphics drivers and using Xpresent. Window managers can work around it by not using Xpresent, but there's also a kernel fix available.

https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/issues/10
https://gitlab.freedesktop.org/xorg/driver/xf86-video-amdgpu/-/merge_requests/52

https://gitlab.xfce.org/xfce/xfwm4/-/commit/7c00911a556c27c57c9f719c12cfda967016dc28

TJ (tj) wrote :

Had my techie test the SRU for 20.04 on the affected E495 and can confirm this works.

Mathew Hodson (mhodson) wrote :

xfwm4 (4.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Name (from ./configure), Repository.
  * Fix day-of-week for changelog entry 4.0.0.final-1.

  [ Mateusz Łukasik ]
  * d/watch: Update to working version.
  * New upstream version 4.14.1
    - Fix raise delay (Closes: #940796)
  * d/control: update standards version to 4.5.0

  [ Unit 193 ]
  * New upstream version 4.14.2.
    - Fix window title alignment (Closes: #953112)
  * d/control: R³: no.

 -- Unit 193 <email address hidden> Sun, 03 May 2020 08:29:52 -0400

Changed in xfwm4 (Ubuntu):
status: Confirmed → Fix Released
tags: added: regression-release
Changed in xfwm4 (Ubuntu Focal):
importance: Undecided → High
Changed in xfwm4 (Ubuntu Groovy):
importance: Undecided → High
Mathew Hodson (mhodson) on 2021-04-18
affects: linux → xf86-video-amd
Mathew Hodson (mhodson) on 2021-04-18
no longer affects: libxcb (Ubuntu)
no longer affects: libxcb (Ubuntu Focal)
no longer affects: libxcb (Ubuntu Groovy)
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: Incomplete → Triaged
Changed in xserver-xorg-video-amdgpu (Ubuntu Focal):
status: Incomplete → Triaged
Changed in xserver-xorg-video-amdgpu (Ubuntu Groovy):
status: Incomplete → Triaged
Changed in xserver-xorg-video-amdgpu (Ubuntu Focal):
importance: Undecided → High
Changed in xserver-xorg-video-amdgpu (Ubuntu Groovy):
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.